#pragma once
#include <fstream>
#include <set>
#include "consts.h"

namespace hea {

bool parse_set_content(const char **str, const int n, int &set_number);
bool parse_set(const char **str, const int n, int &set_number); 
bool parse_line(const char **str, const int n, int *line_nums); 
bool parse_op(std::ifstream &ifs, const int n, const std::set<int>* (&op)[MAX][MAX], const std::set<int>* setCandidates); 
bool parse_complement(std::ifstream &ifs, const int n, int (&complement)[MAX]); 
bool parse_model(std::ifstream &ifs, const int n, const std::set<int>* (&op)[MAX][MAX], int (&complement)[MAX], const std::set<int> *setCandidates); 

}
